Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.ocsp
Class BasicOCSPResponse

    java.lang.Object
      |
      +--org.bouncycastle.asn1.ASN1Encodable
            |
            +--org.bouncycastle.asn1.ocsp.BasicOCSPResponse

All Implemented Interfaces:
  DEREncodable

public class BasicOCSPResponse
extends ASN1Encodable

Constructor Summary
`BasicOCSPResponse(ASN1Sequence seq)`
`BasicOCSPResponse(ResponseData tbsResponseData, AlgorithmIdentifier signatureAlgorithm, DERBitString signature, ASN1Sequence certs)`

Method Summary
`ASN1Sequence` | `getCerts()`
`static BasicOCSPResponse` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static BasicOCSPResponse` | `getInstance(java.lang.Object obj)`
`DERBitString` | `getSignature()`
`AlgorithmIdentifier` | `getSignatureAlgorithm()`
`ResponseData` | `getTbsResponseData()`
`DERObject` | `toASN1Object()` BasicOCSPResponse ::= SEQUENCE { tbsResponseData ResponseData, signatureAlgorithm AlgorithmIdentifier, signature BIT STRING, certs [0] EXPLICIT SEQUENCE OF Certificate OPTIONAL }

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDERObject, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicOCSPResponse

    public BasicOCSPResponse(ResponseData tbsResponseData,
                             AlgorithmIdentifier signatureAlgorithm,
                             DERBitString signature,
                             ASN1Sequence certs)

### BasicOCSPResponse

    public BasicOCSPResponse(ASN1Sequence seq)

Method Detail

### getInstance

    public static BasicOCSPResponse getInstance(ASN1TaggedObject obj,
                                                boolean explicit)

### getInstance

    public static BasicOCSPResponse getInstance(java.lang.Object obj)

### getTbsResponseData

    public ResponseData getTbsResponseData()

### getSignatureAlgorithm

    public AlgorithmIdentifier getSignatureAlgorithm()

### getSignature

    public DERBitString getSignature()

### getCerts

    public ASN1Sequence getCerts()

### toASN1Object

    public DERObject toASN1Object()

       BasicOCSPResponse       ::= SEQUENCE {
            tbsResponseData      ResponseData,
            signatureAlgorithm   AlgorithmIdentifier,
            signature            BIT STRING,
            certs                [0] EXPLICIT SEQUENCE OF Certificate OPTIONAL }

  Specified by:
    `toASN1Object` in class `ASN1Encodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD